import { Component, Input } from '@angular/core';
import { IFrequency } from 'app/shared/model/frequency.model';
import { MetadataMessageService } from 'app/search/metadata/metadata-message.service';

@Component({
  selector: 'jhi-home-metadata',
  templateUrl: './metadata.component.html',
  styleUrls: ['./metadata.scss'],
})
export class MetadataComponent {
  @Input() frequencies!: IFrequency<string>[] | undefined;
  @Input() parameter!: string;

  constructor(public messageService: MetadataMessageService) {}
}
