package at.ac.uibk.gitsearch.repository.search;

public final class GitFilesRepositoryConstants {

    public static final String INDEX_FULLTEXT = "fulltext";
    public static final String INDEX_METADATA = "metadata";

    public static final String FULLTEXT_CONTENT = "content";
    public static final String FULLTEXT_PROJECT_ID = "project.project_id";
    public static final String FULLTEXT_SUB_GROUP_AGG = "by_project.sub_group";
    public static final String FULLTEXT_SUB_GROUP = "project.sub_group";
    public static final String FULLTEXT_FILE_EXTENSION_AGG = "by_file.file_format";
    public static final String FULLTEXT_FILE_EXTENSION = "file.file_format";
    public static final String FULLTEXT_REPOSITORY_AGG = "by_project.project_name";
    public static final String FULLTEXT_REPOSITORY = "project.project_name";

    public static final String METADATA_PROGRAMMING_LANGUAGES = "metadata.programming_languages";
    public static final String METADATA_KEYWORDS = "metadata.keywords";
    public static final String METADATA_PROJECT_ID = "project.project_id";
    public static final String METADATA_AUTHOR = "metadata.authors.name";
    public static final String METADATA_LICENSE = "metadata.license";
}
